<div class="modal-header">
  <h3 class="modal-title">Top 20 BLAST hits for gene: <span style="font-family: monospace">{{bhModalCtrl.geneid}}</span>
    <button type="button" class="btn btn-default" style="float:right;" ng-mousedown="bhModalCtrl.close()">
      <i class="fa fa-2x fa-times"></i>
    </button>
    <div style="clear:right;"></div>
  </h3>
</div>
<div class="modal-body">
  <i ng-show="bhModalCtrl.loading" class="fa fa-spinner fa-pulse"></i>
  <table ng-show="!bhModalCtrl.loading" class="table table-striped table-bordered">
    <tr>
      <th>#</th>
      <th ng-repeat="column in bhModalCtrl.columns">{{bhModalCtrl.getColumnLabel(column)}}</th>
    </tr>
    <tr ng-repeat="hit in bhModalCtrl.hits">
      <td>{{$index+1}}</td>
      <td ng-repeat="column in bhModalCtrl.columns">
        <span ng-if="column !== 'evalue' && column !== 'bitscore' && column !== 'pident' && column !== 'sacc'">
          {{hit[column]}}
        </span>
        <span style="font-family: monospace;" class="nowrap" ng-if="column === 'evalue'">
          {{hit[column].toExponential(2)}}
        </span>
        <span ng-if="column === 'bitscore' || column === 'pident'">
          {{hit[column].toFixed(1)}}
        </span>
        <span ng-if="column === 'sacc'">
          {{hit[column]}}<br><a target="_blank" rel="noopener noreferrer"
                             href="https://www.ncbi.nlm.nih.gov/protein/{{hit[column]}}" style="white-space: nowrap">[NCBI] <i class="fa fa-external-link"></i></a>
        </span>
      </td>
    </tr>
  </table>
</div>